<?session_start();
require('../valtiempoinact.php');
require("../conectar.php");
require("libFormato.php");
$usuario=$_SESSION["usuario_login"];
$liga=$_GET['liga'];
$aprobado=$_GET['aprobado'];

$sqlsol="select CONCAT(nombre,' ',a_pat,' ',a_mat) as nombre,id_empleado,nivel_acceso,area from empleados where usuario='$usuario'";
$ejesol=mysql_query($sqlsol);
$sol=mysql_fetch_array($ejesol);
$idemp=$sol['id_empleado'];

if($liga!=""){$liga=$liga."/";}
if($aprobado=='si'){
     $cond="where valdireccion='s' and valcontabilidad<>'s'";
	}else{
	      if($idemp==11 || $idemp==53)
		     {
		      $mios="where valcontabilidad<>'s'";
		     }else{
			       $mios="where idempleado='$idemp' and valcontabilidad<>'s'";
				  }
		  }//and valcontabilidad<>'s'
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-type" content="text/html; charset=utf-8" />
<title></title>
<link rel="stylesheet" href="css/estilos.css" type="text/css">
<script type="text/javascript" src="js/jquery-1.8.2.min.js"></script>

    <script src="requisiciones/src/js/jscal2.js"></script>
    <script src="requisiciones/src/js/lang/es.js"></script>
    <link rel="stylesheet" type="text/css" href="requisiciones/src/css/jscal2.css" />
    <link rel="stylesheet" type="text/css" href="requisiciones/src/css/border-radius.css" />
    <link rel="stylesheet" type="text/css" href="requisiciones/src/css/steel/steel.css" />
<style>
.inputsa{height:20px;width:50px;border:solid 1px #A4A4A4;font-family:arial;font-size:14px;}
.inputprov{height:20px;width:140px;border:solid 1px #A4A4A4;font-family:arial;font-size:14px;padding-left:15px;}
.dts{border-collapse:collapse;font-family:arial;font-size:11px;width:100%;}
.categoriaB{position:relative;width:260px;padding-top:3px;padding-bottom:3px;text-align:;font-size:11px;font-family:arial;background:#FFFFFF;border-bottom:1px solid #BDBDBD;border-top:1px solid #BDBDBD;color:#000000;}
.tr1{background:#D8D8D8;}
.tr2{background:#F2F2F2;}
.validado{
color:#BBB;
}
.linkeli{-moz-border-radius: 5px;-webkit-border-radius: 5px;border-radius: 5px;-khtml-border-radius: 5px;background:#2E8B57;padding:3px;text-decoration:none;float:left;color:#fff;}
</style>
<script>
function validapago(idmatsol,n){
var chk=document.getElementById('validar'+n).checked;
var user=document.getElementById('user').value;
var fecha=document.getElementById('f_date'+n).value;
if(chk==false){resta="sinchecar";}else{resta="checado";comentario(n);var com=document.getElementById("comentariocontabilidad"+n).value;}
$.post("requisiciones/validarreq.php", {idms:idmatsol,n:n,check:resta,comentario:com,usu:user,fechapago:fecha}, function(data){
	 $("#validado"+n).html(data);
	 document.getElementById("validar"+n).style.visibility="hidden";
	 });
}
function comentario(n)
	 {		
			yq=prompt("La requisicion ha sido validada, Quieres agregar un comentario?");
				 if(yq){
						document.getElementById("comentariocontabilidad"+n).value=yq;
						document.getElementById("comentariocontabilidad"+n).focus();
						//alert("La requisicion ha sido validada");
						}
		}
function borrar(id,td)
   {
	var f=confirm("En verdad quieres borrar esta requisicion?");
	if(f==true)
	  {
	    yq=prompt("Introduce el motivo por el que eliminaras la requisicion");
		if(yq){
		
	   $.post("requisiciones/cambiastatusrequisicion.php", {id:id,motivo:yq}, 
	      function(data,status)
		    {
	          if(status=="success")
	            {
	             $("#"+td).hide();
				// $("#"+td).html(data);
		        } 
		    });
		}
	  }
   }
</script>
</head>
<body>
			<div id="consultarreq" class="">
				 <div id="versol">					  
				 <table class="dts">
				         <tr>
						   <td colspan="13">
						   <?if($liga!=""){?>
						   <a class="linkeli" href="requisiciones/requisicionespagadas.php?liga=requisiciones&aprobado=si&pagado=si&hoy=1" target="_blank" onClick="window.open(this.href, this.target, 'width=800,height=800'); return false;">Requisisciones PAGADAS</a>
						   <?}else{?>
						   <a class="linkeli" href="requisicionespagadasempleado.php?liga=requisiciones&aprobado=si&pagado=si&hoy=1&idemp
=<?echo $idemp;?>" target="_blank" onClick="window.open(this.href, this.target, 'width=800,height=800'); return false;">Requisisciones PAGADAS</a>						   
						   <?}?>
						   </td>
						 </tr>
						 <tr><td class="categoriaB" colspan="14" align="center"><b>REQUISICIONES</b></td></tr>
                         <tr class="categoriaB">
						     <td><b>No</b></td>
			                 <td><b>Fecha solicitud</b></td>
							 <td><b>Solicita</b></td>
							 <td><b>Area</b></td>
				             <td><b>Observacion</b></td>
							 <td><b>Monto</b></td>
				             <td><b>Ver</b></td>
							 <td><b>Status direccion</b></td>
							 <td><b>Fecha aprobacion</b></td>
							 <td><b>Status contabilidad</b></td>
							 <td><b>Fecha de pago</b></td>
							 <?if($idemp==61 || $idemp==1){?>
							 <td colspan="3"><b>Validar</b></td><?}?>
					     </tr>
							<?
							$sqlpre="select DATE_FORMAT(fechasolicitud, '%d/%m/%Y') AS fechasolicitud,idempleado,area,observacion,idsolmat,subtotal,iva,total,revisado,valdireccion,valcontabilidad,DATE_FORMAT(fechaaprobacion, '%d/%m/%Y') as fechaaprobacion,DATE_FORMAT(fechapagado, '%d/%m/%Y') as fechapagado from solicitudmaterial $cond $mios and statusreq<>'1' and area='LABORATORIO DE ARTE' order by idsolmat desc";
							$eje=mysql_query($sqlpre);
							$f=1;
							$d=1;
							while($reg=mysql_fetch_array($eje)){
							 $sqle=mysql_query("select CONCAT(a_pat,' ',a_mat,' ',nombre) AS nom from empleados where id_empleado='$reg[idempleado]'");
							 $emp=mysql_fetch_array($sqle);
							 $statusdir=$reg['valdireccion'];
							 $statuscon=$reg['valcontabilidad'];
							 $revisado=$reg['revisado'];
							 $fechapagado=$reg['fechapagado'];
							 $fechaaprobacion=$reg['fechaaprobacion'];
							 $total=$reg['total'];
							 if($statusdir=='s' && $revisado=='s'){$statusdireccion="APROBADO";}
							 if($statusdir=='' && $revisado=='s'){$statusdireccion="REVISADO NO APROBADO";}
							 if($statusdir=='' && $revisado==''){$statusdireccion="SIN REVISAR";}
							 if($statuscon=='s'){$statuscont="PAGADO";$hid="none";$pal="OK";}else{$statuscont="NO PAGADO";$hid="block";$pal="";}
							if($f==1){$f=2;}else{$f=1;}
							if($idemp==1 || $idemp==61){
							 
							}else{if($statusdir=='s'){$clase="validado";}else{$clase="";}}
							?>
								<tr class="tr<?echo $f;?> <?echo$clase;?>" id="<?echo$d?>">
								 <td align="center"><?echo $d;?></td>
								 <td align="center"><?echo $reg['fechasolicitud'];?></td>
								 <td><?echo htmlentities($emp['nom']);?></td>
								 <td><?echo $reg['area'];?></td>
								 <td><?echo $reg['observacion'];?></td>
								 <td><?echo Moneda($total);?></td>
								 <td align="center"><a href="<?echo$liga?>formatoreq.php?idsolmat=<?echo $reg['idsolmat'];?>&n=1" target="popup" onClick="window.open(this.href, this.target, 'scrollbars=1,toolbar=no,location= no,resizable=yes,width=1000,height=900'); return false;"><img src="<?echo$liga?>img/buscar.png" height="15" width="15" border="0"></a></td>
								 <td align="center"><?echo $statusdireccion;?></td>
								 <td align="center"><?echo $fechaaprobacion;?></td>
								<td align="center"><?echo $statuscont;?></td>
								 <td align="center"><?echo $fechapagado;?></td>
								 <?
								 if($idemp==61 || $idemp==1){?>
								 <td align="center"><span id="validado<?echo$d;?>"><?echo $img;?></span><?echo$pal;?><input type="checkbox" id="validar<?echo$d;?>" name="activado<?echo$d;?>" <?echo $chk;?> class="inputsp" onclick="javascript:validapago('<?echo $reg['idsolmat'];?>','<?echo$d;?>');"  style="border:0px;background: inherit;background-color:transparent;display:<?echo$hid;?>"></td>	
								 <td><input type="text" size="7" id="f_date<?echo$d?>" readonly /></td><td align="left"><a href="#" id="f_btn<?echo$d?>"><img src="requisiciones/img/cal.gif"></a>
								    <script type="text/javascript">//<![CDATA[
									  Calendar.setup({
										inputField : "f_date<?echo$d?>",
										trigger    : "f_btn<?echo$d?>",
										onSelect   : function() { this.hide() },
										dateFormat : "%Y-%m-%d"
									  });
									//]]></script>
								 </td>
								 <?}
								 if($idemp==61 || $idemp==1){
								 ?>
								 <td>
								    <?if($statuscont=='NO PAGADO'){?><img onClick="borrar(idreq='<?echo $reg['idsolmat'];?>','<?echo$d?>')" src="img/oks.png" width="15" height="15"><?}?>
								 </td>
								 <?}?>
								 <input type="hidden" id="comentariocontabilidad<?echo$d?>" name="comentariocontabilidad" value="" onfocus="this.value=this.value.toUpperCase()">
								</tr>
                          <?$d++;}?>	
                                <input type="hidden" id="user" name="user" value="<?echo$usuario;?>">						  
                      </table>
					  </div>
			</div>
	</body>	
</html>	